/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.configuration.exception;


/**
 * The container already exists
 * 
 * @author Christophe DENEUX - Linagora
 */
public class ContainerAlreadyExistException extends ConfigurationException {
    
    private static final long serialVersionUID = 7484370843984241045L;

    private final static String MESSAGE_PATTERN = "The container '%s' already exists";

    /**
     * Name of the container already existing
     */
    private final String alreadyExistingContainerName;

    public ContainerAlreadyExistException(final String containerName) {
        super(String.format(MESSAGE_PATTERN, containerName));
        this.alreadyExistingContainerName = containerName;
    }

    /**
     * @return The name of the container already existing
     */
    public String getAlreadyExistingContainerName() {
        return this.alreadyExistingContainerName;
    }

}
