/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.configuration.exception;

/**
 * The domain configuration is inconsistent:
 * <ul>
 * <li>an error was detected about the topology: the JNDI provider URL is missing,</li>
 * <li>or a new topology is not compliant, at domain level, with the current one, defining a different JNDI provider
 * URL.</li>
 * </ul>
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InconsistentDomainJndiProviderUrlException extends InconsistentDomainConfigurationException {

    private static final long serialVersionUID = 6053718663952817501L;

    private static final String MESSAGE = "JNDI Provider URL missing or mismatch";

    public InconsistentDomainJndiProviderUrlException() {
        super(MESSAGE);
    }

}
