/**
 * Copyright (c) 2013-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.configuration.exception;


/**
 * The configurations of the network time synchronization are inconsistent.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InconsistentNetworkTimeSyncException extends InconsistentSubdomainConfigurationException {

    private static final long serialVersionUID = -7675058178597067015L;

    private final static String MESSAGE_TEMPLATE = "Inconsistent configurations of the network time synchronization, expect: %s, actual: %s";

    public InconsistentNetworkTimeSyncException(final boolean expectedValue,
            final boolean actualValue) {
        super(String.format(MESSAGE_TEMPLATE, Boolean.valueOf(expectedValue),
                Boolean.valueOf(actualValue)));
    }

}
