/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.configuration.exception;


/**
 * The sub-domain does not exist
 * 
 * @author Christophe DENEUX - Linagora
 */
public class SubdomainDoesNotExistException extends ConfigurationException {
    
    private static final long serialVersionUID = 608300204034798104L;

    private final static String MESSAGE_PATTERN = "The sub-domain '%s' does not exist";

    /**
     * Name of the unexisting sub-domain
     */
    private final String unexistingSubdomainName;

    public SubdomainDoesNotExistException(final String subdomainName) {
        super(String.format(MESSAGE_PATTERN, subdomainName));
        this.unexistingSubdomainName = subdomainName;
    }

    /**
     * @return The name of the unexisting sub-domain
     */
    public String getUnexistingSubdomainName() {
        return this.unexistingSubdomainName;
    }

}
