/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.configuration.exception;


/**
 * The sub-domain configuration is inconsistent: several sub-domains have the same name.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class SubdomainNameDuplicatedException extends InconsistentSubdomainConfigurationException {

    private static final long serialVersionUID = 2876114436675994147L;

    private final static String MESSAGE_TEMPLATE = "Duplicate sub-domain name '%s'";

    /**
     * The duplicated sub-domain name
     */
    private final String duplicatedSubdomainName;

    public SubdomainNameDuplicatedException(final String duplicatedSubdomainName) {
        super(String.format(MESSAGE_TEMPLATE, duplicatedSubdomainName));
        this.duplicatedSubdomainName = duplicatedSubdomainName;
    }

    /**
     * @return The duplicated sub-domain name
     */
    public String getDuplicatedSubdomainName() {
        return this.duplicatedSubdomainName;
    }

}
