/**
 * Copyright (c) 2005-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.container;

import javax.jbi.JBIException;
import javax.jbi.management.ComponentLifeCycleMBean;

import org.ow2.petals.microkernel.api.container.thread.ComponentLifeCycleThread;
import org.ow2.petals.microkernel.api.jbi.component.PetalsComponentContext;
import org.ow2.petals.microkernel.api.jbi.management.Context;

/**
 * The <code>ComponentLifeCycle</code> interface has to have its mbean interface in the same package.
 * @author Adrien LOUIS - EBM WebSourcing
 */
public interface ComponentLifeCycle extends ComponentLifeCycleMBean {

    public static final String COMPONENT_LOGGER_NAME = "Petals.Container.Lifecycle.ComponentLifeCycle";

    /**
     * Name of the server interface of the Fractal component associated to the JBI component life cycle
     */
    public static final String FRACTAL_SRV_ITF_NAME = "service";

    /**
     * Initialization of ComponentLifeCycleMBean
     * 
     * @param componentDescription
     *            the component description
     * @param componentContext
     *            the component Context
     * @param component
     *            the component
     * @param mbeanName
     *            the mbean name
     * @param componentLifeCycleThread
     *            the thread of the component life cycle
     * @param log
     *            the log
     * @param context
     *            the context
     * @throws JBIException
     *             occurs when it is impossible to init the component life cycle
     */
    void init(PetalsComponentContext componentContext, ComponentLifeCycleThread componentLifeCycleThread,
            Context context) throws JBIException;

}
