/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.container.exception;

import org.ow2.petals.basisapi.exception.PetalsException;

/**
 * An error occurs about a container processing
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ContainerException extends PetalsException {

    private static final long serialVersionUID = 6656422668245106112L;

    /**
     * @param message
     *            The error message
     */
    public ContainerException(final String message) {
        super(message);
    }

    /**
     * @param cause
     *            The error cause
     */
    public ContainerException(final Throwable cause) {
        super(cause);
    }

}
