/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.implementation.exception;

import org.ow2.petals.microkernel.api.implementation.MutableImplementation;

/**
 * A required property by {@link MutableImplementation#getTopologyPartConfiguration(java.util.Properties)} is missing
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class MissingPropertyException extends MutableImplException {

    private static final long serialVersionUID = -4541167025429603684L;

    private static final String MESSAGE_PATTERN = "The property '%s' is missing";

    /**
     * The name of the missing property
     */
    private final String propertyName;

    /**
     * @param propertyName
     *            The name of the missing property
     */
    public MissingPropertyException(final String propertyName) {
        super(String.format(MESSAGE_PATTERN, propertyName));
        this.propertyName = propertyName;
    }

    /**
     * @return The name of the missing property
     */
    public String getPropertyName() {
        return this.propertyName;
    }

}
