/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.jbi.management;

import java.net.URL;

/**
 * This is a simple component installation service definition which hides the JBI JMX API.
 * @author Christophe HAMERLING - EBM WebSourcing
 */
public interface ComponentInstallationService {

    public static final String COMPONENT_LOGGER_NAME = "Petals.JBI-Management.ComponentInstallationService";

    /**
     * Install a component from its archive URL. This will start it too!
     * 
     * @param componentZipURL
     * @return
     */
    boolean install(URL componentZipURL);

    /**
     * Uninstall a component. Depending on the component state, this will stop,
     * shutdown and uninstall it...
     * 
     * @param componentId
     * @return
     */
    boolean uninstall(String componentId);

}
