/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.jbi.management;

import java.io.File;
import java.net.URL;
import java.util.List;
import java.util.Map;

import javax.jbi.component.ComponentContext;
import javax.management.ObjectName;

import org.ow2.petals.jbi.descriptor.original.generated.Jbi;
import org.ow2.petals.jbi.descriptor.original.generated.ServiceUnit;
import org.ow2.petals.microkernel.api.container.ServiceAssemblyLifeCycle;
import org.ow2.petals.systemstate.generated.Component;
import org.ow2.petals.systemstate.generated.ServiceAssembly;
import org.ow2.petals.systemstate.generated.SharedLibrary;

/**
 * @author Christophe Hamerling - EBM WebSourcing
 */
public class Context {

    private URL archiveUrl;

    private Jbi descriptor;

    private URL installUrl;

    private String entityName;

    private String entityVersion;

    private File unzipRoot;

    private ObjectName installerObjectName;

    private XMLResult xmlResult;

    private Component componentStateHolder;

    private SharedLibrary sharedLibraryStateHolder;

    private ServiceAssembly serviceAssemblyStateHolder;

    private Map<String, URL> suInstallUrls;

    private URL suInstallUrl;

    private ServiceUnit suDescriptorInSa;

    private ServiceAssemblyLifeCycle saLifeCycle;

    private List<TaskProcessor> suTaskProcessors;

    private String componentResult;

    private ComponentContext componentContext;

    /**
     * 
     */
    public Context() {
    }

    public URL getArchiveUrl() {
        return this.archiveUrl;
    }

    public void setArchiveUrl(URL archiveUrl) {
        this.archiveUrl = archiveUrl;
    }

    public Jbi getDescriptor() {
        return this.descriptor;
    }

    public void setDescriptor(Jbi descriptor) {
        this.descriptor = descriptor;
    }

    public URL getInstallUrl() {
        return this.installUrl;
    }

    public void setInstallUrl(URL installUrl) {
        this.installUrl = installUrl;
    }

    public String getEntityName() {
        return this.entityName;
    }

    public void setEntityName(String entityName) {
        this.entityName = entityName;
    }

    public void setEntityVersion(String entityVersion) {
        this.entityVersion = entityVersion;
    }

    public String getEntityVersion() {
        return this.entityVersion;
    }

    public File getUnzipRoot() {
        return this.unzipRoot;
    }

    public void setUnzipRoot(File unzipRoot) {
        this.unzipRoot = unzipRoot;
    }

    public ObjectName getInstallerObjectName() {
        return this.installerObjectName;
    }

    public void setInstallerObjectName(ObjectName installerObjectName) {
        this.installerObjectName = installerObjectName;
    }

    public XMLResult getXmlResult() {
        return this.xmlResult;
    }

    public void setXmlResult(XMLResult xmlResult) {
        this.xmlResult = xmlResult;
    }

    public Component getComponentStateHolder() {
        return this.componentStateHolder;
    }

    public void setComponentStateHolder(Component componentStateHolder) {
        this.componentStateHolder = componentStateHolder;
    }

    public SharedLibrary getSharedLibraryStateHolder() {
        return this.sharedLibraryStateHolder;
    }

    public void setSharedLibraryStateHolder(SharedLibrary sharedLibraryStateHolder) {
        this.sharedLibraryStateHolder = sharedLibraryStateHolder;
    }

    public ServiceAssembly getServiceAssemblyStateHolder() {
        return this.serviceAssemblyStateHolder;
    }

    public ServiceAssembly setServiceAssemblyStateHolder(ServiceAssembly serviceAssemblyStateHolder) {
        return this.serviceAssemblyStateHolder = serviceAssemblyStateHolder;
    }

    public Map<String, URL> getSuInstallUrls() {
        return this.suInstallUrls;
    }

    public void setSuInstallUrls(Map<String, URL> suInstallUrls) {
        this.suInstallUrls = suInstallUrls;
    }

    public URL getSuInstallUrl() {
        return this.suInstallUrl;
    }

    public void setSuInstallUrl(URL suInstallUrl) {
        this.suInstallUrl = suInstallUrl;
    }

    public ServiceUnit getSuDescriptorInSa() {
        return this.suDescriptorInSa;
    }

    public void setSuDescriptorInSa(ServiceUnit suDescriptorInSa) {
        this.suDescriptorInSa = suDescriptorInSa;
    }

    public ServiceAssemblyLifeCycle getSaLifeCycle() {
        return this.saLifeCycle;
    }

    public void setSaLifeCycle(ServiceAssemblyLifeCycle saLifeCycle) {
        this.saLifeCycle = saLifeCycle;
    }

    public List<TaskProcessor> getSuTaskProcessors() {
        return this.suTaskProcessors;
    }

    public void setSuTaskProcessors(List<TaskProcessor> suTaskProcessors) {
        this.suTaskProcessors = suTaskProcessors;
    }

    public String getComponentResult() {
        return this.componentResult;
    }

    public void setComponentResult(String componentResult) {
        this.componentResult = componentResult;
    }

    public ComponentContext getComponentContext() {
        return this.componentContext;
    }

    public void setComponentContext(ComponentContext componentContext) {
        this.componentContext = componentContext;
    }

}
