/**
 * Copyright (c) 2013-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.jbi.messaging.registry;

import javax.xml.namespace.QName;

import org.ow2.petals.clientserverapi.jbi.messaging.registry.exception.RegistryException;

/**
 * The endpoint does not exist in the registry
 * 
 * @author Christophe Deneux - Linagora
 */
public class EndpointDoesNotExistsException extends RegistryException {
    
    private static final long serialVersionUID = 1L;

    /**
     * Name of the not existing endpoint.
     */
    final private String notExistingEndpointName;

    /**
     * Servcie of the not existing existing endpoint.
     */
    final private QName notExistingEndpointService;

    public EndpointDoesNotExistsException(final String notExistingEndpointName, final QName notExistingEndpointService) {
        super("The endpoint '" + notExistingEndpointName + "' for service '" + notExistingEndpointService.toString()
                + "' does not exist.");
        this.notExistingEndpointName = notExistingEndpointName;
        this.notExistingEndpointService = notExistingEndpointService;
    }

    public String getNotExistingEndpointName() {
        return this.notExistingEndpointName;
    }

    public QName getNotExistingEndpointService() {
        return this.notExistingEndpointService;
    }

}
