/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.jbi.messaging.registry.exception;

import org.ow2.petals.clientserverapi.jbi.messaging.registry.exception.RegistryException;

/**
 * The dynamic topology objects are not locked by the current thread. The dynamic topology objects can only be updated
 * by the thread that locked them.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class DynamicTopologyNotLockedByCurrentThreadException extends RegistryException {

    private static final long serialVersionUID = 4329904891990424354L;

    private final static String MESSAGE = "Operation not permitted on a dynamic topology locked by another thread.";

    public DynamicTopologyNotLockedByCurrentThreadException() {
        super(MESSAGE);
    }
}
