/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.api.jbi.messaging.registry.exception;

import org.ow2.petals.clientserverapi.jbi.messaging.registry.exception.RegistryException;
import org.ow2.petals.microkernel.api.jbi.messaging.registry.EndpointRegistry;

/**
 * The dynamic topology objects are not locked. Use {@link EndpointRegistry#lockDynamicTopology()}
 * 
 * @author Christophe DENEUX - Linagora
 */
public class DynamicTopologyNotLockedException extends RegistryException {

    private static final long serialVersionUID = 5173533401019919209L;

    private final static String MESSAGE = "Operation not permitted on a dynamic topology not locked.";

    public DynamicTopologyNotLockedException() {
        super(MESSAGE);
    }
}
